function rootfinder()
// A GUI for finding the solution of an ordinary differential equation (ODE) using scilab ode function.
//
// Syntax
//   odesolver() 
//
// Description
// odesolver() creates a graphical user interface (GUI) for finding the solution of an ordinary differential equation (ODE) using scilab ode function.
// 
// <itemizedlist>
// <listitem><para>First select the order of the ode using the dropdown menu.</para></listitem>
// <listitem><para>Enter the ODE : ex : y'''' = -2*y''. </para></listitem>
// <listitem><para>Enter the initial condition</para></listitem>
// <listitem><para>Enter the range of x for ploting and calculation</para></listitem>
// <listitem><para>Then press the solution button, and you get a plot of the solution of given ode. </para></listitem>
// <listitem><para>If you want the data then press show data button and the data will displayed in the data table. </para></listitem>
// <listitem><para>You can also check your result, by entering your result and by pressing the check your result button. The gui will plot and compare both calculated and your result and display a message. </para></listitem>
// </itemizedlist>
//
// Examples
// odesolver()
//
// See also
//  ode
//
// Authors
//  Manish Joshi ;  
//
endfunction
