function odesolver()
clear X Y OdeGui OdeGuiSolution OdeGuiClearGraph OdeGuiPlotOur OdeGuiOrder OdeGuiDash OdeGuiShowData OdeGuiClearDataTable e i pi;
clc;
try
close(205);
end
e=%e;i=%i;pi=%pi;
[e,i,pi]=resume(e,i,pi);
OdeGui.dummy = 0;
OdeGui.f=figure(205,'figure_position',[50,51],...
		'figure_size',[1450,800],...
		'auto_resize','on',...
		'background',[33],...
		'figure_name','Ode Solver',...
		'dockable','off',...
		'infobar_visible','on',...
		'toolbar_visible','off',...
		'menubar_visible','off',...
		'default_axes','off',...
		'visible','off');
OdeGui.c = createConstraints("gridbag",[1, 1, 1, 1], [1, 1], "horizontal", "left", [0, 20], [50, 40]);
OdeGui.f.info_message ="Use ''*'' for multiplication(Don''t write 2x instead write 2*x), exp(x) or e^x for exponential, log(x) for natural log, pi or %pi for pi, and i or %i for eular number. for more help on scilab functions type --> ''help Elementary Functions'' in scilab console"

OdeGui.Title = uicontrol(OdeGui.f,'unit','normalized',...
						'BackgroundColor',[0.4,0.5,0.7],...
						'FontName','Arial Nova Cond Light',...
						'FontSize',[12],...
						'FontWeight','bold',...
						'HorizontalAlignment','center',...
						'Position',[0,0.97,1,0.03],...
						'Relief','ridge',...
						'String','Oridnary Differential Equation Solver',...
						'Style','text',...
						'VerticalAlignment','middle',...
						'Tag','Title');
OdeGui.InputFrame = uicontrol(OdeGui.f,'unit','normalized',...
							'BackgroundColor',[0.9,0.8,0.9],..
							'Position',[0,0.03,0.4,0.90],...
							'Relief','sunken',...
							'Style','frame',...
							'Tag','InputFrame');
OdeGui.PlotFrame = uicontrol(OdeGui.f,'unit','normalized',...
							'Position',[0.4,0.03,0.6,0.94],...
							'Relief','sunken',...
							'Style','frame',...
							'Tag','PlotFrame');
OdeGui.ToolboxLink = uicontrol(OdeGui.f,'unit','normalized',...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[10],...
							'HorizontalAlignment','right',...
							'Position',[0.4,0,0.6,0.03],...
							'Relief','groove',...
							'String',"<html><a href=""https://atoms.scilab.org/categories/gui"">Please Give Your Suggestion or Report Bugs </a> &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</html>",...
							'Style','text');
OdeGui.CreatedBy = uicontrol(OdeGui.f,'unit','normalized',...
							'BackgroundColor',[-1,-1,-1],...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[10],...
							'ForegroundColor',[0.6,0.2,0.1],...
							'HorizontalAlignment','left',...
							'Position',[0,0,0.4,0.03],...
							'Relief','ridge',...
							'String','    Created By  : Mansih Joshi',...
							'Style','text');
OdeGui.OrderText = uicontrol(OdeGui.f,'unit','normalized',...
							'BackgroundColor',[0.9,0.8,0.9],...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0,0.93,0.25,0.04],...
							'Relief','ridge',...
							'String','Order of the ODE :',...
							'Style','text');
OdeGui.Order = uicontrol(OdeGui.f,'unit','normalized',...
						'BackgroundColor',[0.9,0.8,0.9],...
						'FontName','Arial Nova Cond Light',...
						'FontSize',[15],...
						'FontWeight','bold',...
						'HorizontalAlignment','center',...
						'Position',[0.25,0.93,0.15,0.04],...
						'Relief','ridge',...
						'String','                 '+string(1:10),...
						'Style','popupmenu',...
						'Value',[1],...
						'Callback','OdeGuiOrder(OdeGui)',...
						'TooltipString','Select order of ode');
OdeGui.InputDataFrame = uicontrol(OdeGui.InputFrame,'unit','normalized',...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'Position',[0.05,0.52,0.9,0.45],...
								'Relief','sunken',...
								'Style','frame',...
								"layout", "gridbag");
OdeGui.c.grid=[1,1,10,1];
OdeGui.ODEInputLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
								'BackgroundColor',[0.4,0.5,0.7],...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.02,0.6,0.94,0.15],...
								'Relief','ridge',...
								'String','Enter the ODE : ',...
								'Style','text',...
								"constraints", OdeGui.c,...
								"margins", [5 0 0 0]);
OdeGui.c.grid=[1,2,2,1];
OdeGui.c.weight = [0.5,1];
OdeGui.ODELabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
							'FontName','Arial Nova Cond Light',....
							'FontSize',[15],....
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.02,0.8,0.15,0.15],...
							'Relief','default',...
							'String',"$\mathbf{y'' =}$",...
							'Style','text',...
							"constraints", OdeGui.c,...
							"margins", [5 0 2 0]);
OdeGui.c.grid=[3,2,7,1];
OdeGui.c.weight = [0.5,1];
c.fill = 'horizontal'
OdeGui.ODE=uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
					'FontName','Arial Nova Cond Light',...
					'FontSize',[15],...
					'FontWeight','bold',...
					'HorizontalAlignment','center',...
					'Position',[0.20,0.8,0.74,0.15],...
					'Relief','sunken',...
					'String','-2*y',...
					'Style','edit',...
					"constraints", OdeGui.c,...
					"margins", [5 0 2 10]);
OdeGui.c.grid=[1,3,10,1];
OdeGui.IVPLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
							'BackgroundColor',[0.4,0.5,0.7],...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.02,0.6,0.94,0.15],...
							'Relief','ridge',...
							'String','Enter initial values : ',....
							'Style','text',...
							'TooltipString','Please enter the initial condition',...
							"constraints", OdeGui.c);
OdeGui.c.grid=[1,4,2,1];
OdeGui.c.weight = [0.2,1];
OdeGui.xoLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.02,0.4,0.15,0.15],...
							'Relief','default',...
							'String',"$\mathbf{x_{0} =}$",...
							'Style','text',...
							"constraints", OdeGui.c,...
							"margins", [5 0 2 0]);
OdeGui.c.grid=[3,4,1,1];
OdeGui.c.weight = [0.2,1];
OdeGui.xo = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
						'FontName','Arial Nova Cond Light',...
						'FontSize',[15],...
						'FontWeight','bold',...
						'HorizontalAlignment','center',...
						'Position',[0.20,0.4,0.14,0.15],...
						'Relief','sunken',...
						'String','0',...
						'Style','edit',...
						"constraints", OdeGui.c,...
						"margins", [5 0 2 5]);
OdeGui.c.grid=[4,4,4,1];
OdeGui.c.weight = [0.5,1];
OdeGui.yoLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.36,0.4,0.35,0.15],...
							'Relief','default',...
							'String','$\mathbf{y(x_{0}),y''(x_{0}),\cdots =}$',....
							'Style','text',...
							"constraints", OdeGui.c,...
							"margins", [5 0 2 0]);
OdeGui.c.grid=[8,4,2,1];
OdeGui.c.weight = [4,1];
c.fill = 'horizontal';
OdeGui.yo = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
						'FontName','Arial Nova Cond Light',...
						'FontSize',[15],...
						'FontWeight','bold',...
						'HorizontalAlignment','center',...
						'Position',[0.72,0.4,0.22,0.15],...
						'Relief','sunken',...
						'String','1',...
						'Style','edit',...
						"constraints", OdeGui.c,...
						"margins", [5 0 2 10]);
OdeGui.c.grid=[1,5,10,1];
OdeGui.c.weight = [1,1];
OdeGui.XrangeLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
								'BackgroundColor',[0.4,0.5,0.7],...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.02,0.6,0.94,0.15],...
								'Relief','ridge',...
								'String','Enter Range of x for plotting and calculation : ',...
								'Style','text',...
								"constraints", OdeGui.c)
OdeGui.c.grid=[1,6,5,1];
OdeGui.c.weight = [1,1];
OdeGui.xLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',....
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.36,0.4,0.35,0.15],...
							'Relief','default',...
							'String','$\mathbf{x: \left[x_{min}:step:x_{max}\right] =  }$',...
							'Style','text',...
							"constraints", OdeGui.c,...
							"margins", [5 0 2 0]);
OdeGui.c.grid=[6,6,10,1];
OdeGui.c.weight = [0.5,1];
OdeGui.x = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
					'FontName','Arial Nova Cond Light',...
					'FontSize',[15],...
					'FontWeight','bold',...
					'HorizontalAlignment','center',...
					'Position',[0.72,0.4,0.22,0.15],...
					'Relief','sunken',...
					'String','0:0.01:5',...
					'Style','edit',...
					"constraints", OdeGui.c,...
					"margins", [5 0 2 10]);
OdeGui.c.grid=[1,7,10,1];
OdeGui.c.weight = [1,1];
OdeGui.CheckresultLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
									'BackgroundColor',[0.4,0.5,0.7],...
									'FontName','Arial Nova Cond Light',...
									'FontSize',[15],...
									'FontWeight','bold',...
									'HorizontalAlignment','center',...
									'Position',[0.02,0.6,0.94,0.15],...
									'Relief','ridge',...
									'String','Check your result : ',...
									'Style','text',...
									"constraints", OdeGui.c);
OdeGui.c.grid=[1,8,2,1];
OdeGui.c.weight = [0.5,1];
OdeGui.yLabel = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.36,0.4,0.35,0.15],...
							'Relief','default',...
							'String','$\mathbf{y(x)} =  $',...
							'Style','text',...
							"constraints", OdeGui.c,...
							"margins", [5 0 2 0]);
OdeGui.c.grid=[3,8,7,1];
OdeGui.c.weight = [1,1];
OdeGui.Y = uicontrol(OdeGui.InputDataFrame,'unit','normalized',...
					'FontName','Arial Nova Cond Light',...
					'FontSize',[15],...
					'FontWeight','bold',...
					'HorizontalAlignment','center',...
					'Position',[0.72,0.4,0.22,0.15],...
					'Relief','sunken',...
					'String','exp(-2*x)',...
					'Style','edit',...
					"constraints", OdeGui.c,...
					"margins", [5 0 2 10]);
OdeGui.BtnFrame = uicontrol(OdeGui.InputFrame,'unit','normalized',...
							'Position',[0.05,0.355,0.9,0.15],...
							'Relief','groove',...
							'Style','frame',...
							"layout", "gridbag");
OdeGui.c.grid=[1,1,1,1];
OdeGui.c.weight = [1,1];
OdeGui.SolutionBtn = uicontrol(OdeGui.BtnFrame,'unit','normalized',...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.72,0.4,0.22,0.15],...
								'Relief','raised',...
								'String','Solution',...
								'Style','pushbutton',...
								'Callback','OdeGuiSolution(OdeGui)',...
								"constraints", OdeGui.c,...
								"margins", [5 5 5 5]);
OdeGui.c.grid=[2,1,1,1];
OdeGui.c.weight = [1,1];
OdeGui.ClearGraphBtn = uicontrol(OdeGui.BtnFrame,'unit','normalized',...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.72,0.4,0.22,0.15],...
								'Relief','raised',...
								'String','Clear Graph',...
								'Style','pushbutton',...
								'Callback','OdeGuiClearGraph(OdeGui)',...
								"constraints", OdeGui.c,...
								"margins", [5 5 5 5],...
								'Enable','off');
OdeGui.c.grid=[1,2,1,1];
OdeGui.c.weight = [1,1];
OdeGui.YourResultBtn = uicontrol(OdeGui.BtnFrame,'unit','normalized',...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.72,0.4,0.22,0.15],...
								'Relief','raised',...
								'String','Plot Your Result',...
								'Style','pushbutton',...
								'Callback','OdeGuiPlotOur(OdeGui)',...
								"constraints", OdeGui.c,...
								"margins", [5 5 5 5],...
								'Enable','off');
OdeGui.c.grid=[2,2,1,1];
OdeGui.c.weight = [1,1];
OdeGui.ShowData = uicontrol(OdeGui.BtnFrame,'unit','normalized',...
							'FontName','Arial Nova Cond Light',...
							'FontSize',[15],...
							'FontWeight','bold',...
							'HorizontalAlignment','center',...
							'Position',[0.72,0.4,0.22,0.15],...
							'Relief','raised',...
							'String','Show Data Table',...
							'Style','pushbutton',...
							'Callback','OdeGuiShowData(OdeGui)',...
							"constraints", OdeGui.c,...
							"margins", [5 5 5 5],...
							'Enable','off');
OdeGui.OutputTableFrame = uicontrol(OdeGui.InputFrame,'unit','normalized',...
									'Position',[0.05,0.025,0.9,0.32],...
									'Relief','sunken',...
									'Style','frame',...
									"layout", "gridbag");
OdeGui.c.grid=[1,1,3,1];
OdeGui.c.weight = [0.1,0.1];
OdeGui.c.preferredsize=[50,15]
OdeGui.TableLabel = uicontrol(OdeGui.OutputTableFrame,'unit','normalized',...
									'BackgroundColor',[0.4,0.5,0.7],...
									'FontName','Arial Nova Cond Light',...
									'FontSize',[15],...
									'FontWeight','bold',...
									'HorizontalAlignment','center',...
									'Position',[0.02,0.6,0.94,0.15],...
									'Relief','ridge',...
									'String','Data Table : ',...
									'Style','text',...
									"constraints", OdeGui.c);
OdeGui.c.grid=[1,2,1,20];
OdeGui.c.weight = [0.5,1];
OdeGui.c.fill='both';
OdeGui.OutputTable = uicontrol(OdeGui.OutputTableFrame,'unit','normalized',...
								'FontName','Arial Nova Cond Light',...
								'FontSize',[15],...
								'FontWeight','bold',...
								'HorizontalAlignment','center',...
								'Position',[0.05,0.025,0.9,0.3],...
								'Relief','sunken',...
								'Style','text',...
								"constraints", OdeGui.c,...
								"margins", [5 15 5 5]);
OdeGui.c.grid=[2,2,2,1];
OdeGui.c.weight = [1,0.1];
OdeGui.c.fill='horizontal';
OdeGui.ClearDataTableBtn = uicontrol(OdeGui.OutputTableFrame,'unit','normalized',...
									'FontName','Arial Nova Cond Light',...
									'FontSize',[15],...
									'FontWeight','bold',...
									'HorizontalAlignment','center',...
									'Position',[0.72,0.4,0.22,0.15],...
									'Relief','raised',...
									'String','Clear Data Table',...
									'Style','pushbutton',...
									'Callback','OdeGuiClearDataTable(OdeGui)',...
									"constraints", OdeGui.c,...
									"margins", [15 15 5 15]);
OdeGui.Plot = newaxes(OdeGui.PlotFrame);
OdeGui.Plot.axes_bounds = [0.1,0.05,0.85,0.87];
OdeGui.Plot.thickness = 2;
OdeGui.Plot.font_size = 3;
OdeGui.Plot.font_color = 11;
OdeGui.Plot.font_style=10;

OdeGui.f.visible = "on";


//////////
// Callbacks are defined as below. Please do not delete the comments as it will be used in coming version
//////////

function OdeGuiSolution(OdeGui)
	OdeGuiClearDataTable(OdeGui);
	OdeGuiClearGraph(OdeGui);
	data = evstr(OdeGui.Order.string);
	selected=evstr(OdeGui.Order.value);
	n = data(selected);
	try
		evstr(OdeGui.yo.string)
	catch
		messagebox('Please check your initial condition.','error','error');
		abort;
	end
	if stripblanks(OdeGui.ODE.string)== '' then
		messagebox('Please enter the ODE','error','error');
	elseif stripblanks(OdeGui.xo.string) =='' | stripblanks(OdeGui.yo.string) == ''
		messagebox('Please check the initail condition','error','error');
	elseif length(evstr(OdeGui.yo.string)) < n
		messagebox('Please enter ' + string(n)+' initial conditions','error','error');
	elseif stripblanks(OdeGui.x.string) == ''
		messagebox('Please enter x values [xmin:step:xmax]','error','error');
	else
		Pbar=progressionbar('Calculating....');
		progressionbar(Pbar);
		OdeGui.ClearGraphBtn.Enable = 'on'
		OdeGui.YourResultBtn.Enable = 'on'
		OdeGui.ShowData.Enable = 'on'
		cc=(OdeGui.ODE.string);
		for j=1:n-1
			cc = strsubst(cc,OdeGuiDash(OdeGui,n-j),'M('+string(n-j+1)+')')
		end
		cc = strsubst(cc,'y','y(1)')
		cc=strsubst(cc,'M','y')
		k=strindex(cc,'''')
		if k~=[] then
			messagebox('Please check your ODE.','error','error');
		else
			function dy=f(x,y)
				for j=1:n-1
					dy(j)=y(j+1);
				end
				try
					dy(n)=evstr(cc);
				catch
					messagebox('Please check your ODE : '+lasterror(),'error','error');
					close(Pbar);
					abort; return;
				end
			endfunction
			try
				x=evstr(OdeGui.x.string)
				try
					yo= evstr('['+OdeGui.yo.string+']')';
					xo=evstr(OdeGui.xo.string);
					try
						if min(x)<xo then
							dx = x(2)-x(1);
							x1 = xo:-dx:min(x);

							sol=ode(yo,xo,x1,f);
							Y = sol(1,:);
							Y = Y($:-1:1);
							plot(x1,sol(1,:),'r','linewidth',2)
							x2 = xo+dx:dx:max(x);
							sol=ode(yo,xo,x2,f);
							Y = [Y,sol(1,:)];
						else
							sol=ode(yo,xo,x,f);
							Y = sol(1,:);
						end
						plot(x,Y,'r','linewidth',2)
						gtitle=OdeGuiDash(OdeGui,n)+' = '+OdeGui.ODE.string+'\\I.C : ';
						gtitle = strsubst(gtitle,'*','');
						gtitle = strsubst(gtitle,'pi','\pi ');
						gtitle = strsubst(gtitle,'%','');
						for j=1:n
							if j==1
								gtitle = gtitle + ' y('+string(xo)+')='+string(yo(j))
							elseif j==6
								gtitle = gtitle +'\\'+OdeGuiDash(OdeGui,j-1)+'('+string(xo)+')='+string(yo(j))
							else
								gtitle = gtitle + ', '+OdeGuiDash(OdeGui,j-1)+'('+string(xo)+')='+string(yo(j))'
							end
						end
						gtitle='$\mathbf{\text{Solution of : }'+gtitle+'}$'
						xlabel('$\mathbf{x}$','fontsize',3)
						ylabel('$\mathbf{y}$','fontsize',3)
						xgrid(2)
						title(gtitle,'fontsize',2);
						leg = 'Solution using ode command';
						legend(leg,-6,%f)
						[X, Y] = resume(x,Y)
					catch
						messagebox('We encountered an error, the given ode may not defined for given initial codition : ' +lasterror(),'error','error')
						close(Pbar);
						break;
					end
				catch
					messagebox('Please check your initial values : ' +lasterror(),'error','error')
					close(Pbar);
					break;
				end
			catch
				messagebox('Please check your x range : ' +lasterror(),'error','error')
				close(Pbar);
				break;
			end
		end
	end
	close(Pbar);
endfunction


function OdeGuiClearGraph(OdeGui)
	delete(gca());
	OdeGui.Plot= newaxes(OdeGui.PlotFrame);...
	OdeGui.Plot.axes_bounds = [0.1,0.05,0.85,0.87]; ...
	OdeGui.Plot.thickness = 2;...
	OdeGui.Plot.font_size = 3;...
	OdeGui.Plot.font_color = 11;...
	OdeGui.Plot.font_style=10;
	OdeGui.YourResultBtn.Enable = 'off'
endfunction


function OdeGuiPlotOur(OdeGui)
	if stripblanks(OdeGui.Y.string)=='' then
		messagebox('Please enter your result y(x) ','error','error');
	else
		try
			x=evstr(OdeGui.x.string)
		catch
			messagebox('Please check your x range','error','error');
			abort;
		end
		try
			Ystr=strsubst(OdeGui.Y.string,'.*','*');
			Ystr=strsubst(Ystr,'./','/');
			Ystr=strsubst(Ystr,'*','.*');
			Ystr=strsubst(Ystr,'/','./');
			y1=evstr(Ystr);
		catch
			messagebox('Please check your result','error','error');
			abort;
		end
		plot(x,y1,'m','linewidth',2)
		leg = ['Solution using Ode command';'Your result']
		legend(leg,-6,%f)
		err = string(max(abs(Y-y1)))
		if abs(Y-y1)<=1e-3 then
			messagebox("Matched, max. error : "+ err);
		else
			messagebox("Not Matched, max. error : "+ err);
		end
	end
endfunction

function OdeGuiOrder(OdeGui)
	data = evstr(OdeGui.Order.string);
	selected=evstr(OdeGui.Order.value);
	n = data(selected)
	OdeGui.ODELabel.string='$\mathbf{'+OdeGuiDash(OdeGui,n)+" = }$";
	OdeGui.yo.string=strcat(string(ones(n,1)),',');
endfunction

function Y=OdeGuiDash(OdeGui,n)
	Y = 'y'
	for i=1:n
		Y = Y+"''"
	end
endfunction

function OdeGuiShowData(OdeGui)
	heading=['x','y']
	Table= string([X;Y]')
	Table = [heading;Table];
	OdeGui.OutputTable.string = '<html>'+prettyprint(Table,"html","_")+'</html>';
endfunction

function OdeGuiClearDataTable(OdeGui)
	OdeGui.OutputTable.string ='';
endfunction
[OdeGui,OdeGuiSolution, OdeGuiClearGraph,OdeGuiPlotOur,OdeGuiOrder,OdeGuiDash,OdeGuiShowData,OdeGuiClearDataTable] = resume(OdeGui,OdeGuiSolution,OdeGuiClearGraph,OdeGuiPlotOur,OdeGuiOrder,OdeGuiDash,OdeGuiShowData,OdeGuiClearDataTable)
endfunction

